define([
    	'js/utilities',
    	'advanceCredit/advanceCreditContainers/advanceCreditUploadEvidence/advanceCreditUploadEvidenceView'
    ], function(
    	utilities,
    	uploadEvidenceView
    ) {
    	var $ = Framework7.$;
    	var callAppApi = utilities.callAppApi;

    	function init(query) {
        	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
    		callAppApi({
    			url: '/app/credit/v2/query/auditInfo',
    	        type: 'POST',
    	        params: {
    	            userId: loginStatus.userId,
    	            auditInfoId: query.auditInfoId,
    	            baseBusinessType:'ysx001'
    	        },
    			successCallback: function(response) {
    				
    				uploadEvidenceView.render({
		    			fromPage: query.fromPage,
		    			auditInfoId: response.infoData.auditInfoId,
		    			picList: response.picList,
		    			infoRes: response
		    		});
    			},
    			errorCallback: function(err) {}
    		});

    	}
    	
    	return {
    		init: init
    	}
    });
