define([
  'js/utilities',
  'containers/loginGesture/loginGestureView'
], function(
  utilities,
  loginGestureView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  
	  if (mainView.activePage.name == 'loginGesture') {
		  // 隐藏工具栏
		  f7.hideToolbar('#toolbar');

          var userName = localStorage.getItem('loginPhone');

		  callAppApi({
		      url: '/gesture/query/errorCount',
		      type: 'POST',
		      params: {
                  accountName: userName,
                  userId: '',
                  queryType: '1',       // 查询类型： '0' - 手势&登录密码    '1' - 手势， '2' - 登录密码
                  gestureType: '1',     // 错误类型： '1' - 登录，  '2' - 关闭， '3' - 修改
		      },
		      successCallback: function(res) {
		          loginGestureView.render(Object.assign({
                      gestureValidCount: res.gestureValidCount,
		          }, query));
		      },
		      errorCallback: function() {}
		  })

	  }
  }
  
  return {
	init: init,
  };
});