define([
  'js/utilities',
  'js/config',
  'js/validator',
  'educationComponents/authentication/authStep1/authStep1Pad',
  'educationComponents/authentication/authStep2/authStep2View',
  'educationComponents/common/toolbar/toolbarView',
  'hbs!educationComponents/authentication/inputArea',
  'hbs!educationComponents/common/button/button'
], function(
  utilities,
  config,
  validator,
  authStep1Pad,
  authStep2View,
  toolbarView,
  inputAreaTemplate,
  buttonTemplate
) {
  // 声明选择地区变量
  var pickerLocation;
  var getDay = utilities.getDay;
  var getDeviceType = utilities.getDeviceType;

  var bindPadEventAuthStep1 = authStep1Pad.bindPadEventAuthStep1;
  var sendPadDataAuthStep1 = authStep1Pad.sendPadDataAuthStep1;
  
  var changeToolbarStatus = toolbarView.changeToolbarStatus;
  
  var SKIP = config.SKIP;
  
  var contactsLength = '';
  var contactsAuthorization = '';
  var userWorkAddressCode='';
//通讯录数据
  var addressList=JSON.stringify([]);
  //出生日期
  var userBirthday='';
  var educationUserPhoneNumber = '';
  function render(params) {
	  	
		TalkingData.onPage("身份认证1");		
		TalkingData.onPageBegin("身份认证1_填写时间");	
		$("#authNavbar .left #back").on('click', function() {
//			f7.showToolbar('#toolbar');
//			changeToolbarStatus('#toolbarBtn1');
			TalkingData.onEventWithLabel('身份认证1', '返回');
	    });
		
	  // 登陆信息
	  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));

	  // 重置通讯录长度及是否获取到权限。
	  contactsLength = '';
	  contactsAuthorization = '';
	  addressList = JSON.stringify([]);
	  // 是否跳过申请通讯录权限
//	  if (!SKIP.cordova_contacts) {
//		  // 申请通讯录权限
//		  navigator.contacts.requestAuth(function(msg) {
//			  contactsAuthorization = '1';
//			  
////			  // 获取通讯录长度
////			  navigator.contacts.contactsNumber(function(len) {
////				  contactsLength = len;
////			  });
//			  // 获取通讯录数据
//			  navigator.contacts.contactsList(function(list) {
//				  
//				  if (Array.isArray(list)) {
//					  contactsLength = list.length.toString();
//				  } else {
//					  contactsLength = '0';
//				  }
//				  
//				  addressList = JSON.stringify(list);
//			  });
//			  
//		  }, function(msg) {
//			  TalkingData.onEventWithLabel('身份认证1', '拒绝访问通讯录的请求');
//			 if (msg === '-1' && getDeviceType() === 'ANDROID') {
//				 f7.modal({
//					 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
//					 buttons: [{
//						 text: '确定',
//						 onClick: function() {
//							 mainView.loadPage('index.html');
//						 }
//					 }]
//				 });
//				 
//			 } else if (msg === '-2' && getDeviceType() === 'ANDROID') {
//				 f7.modal({
//					 text: '请在手机设置中，允许指尖租赁访问您的通讯录。',
//					 buttons: [{
//						 text: '确定',
//						 onClick: function() {
//							 mainView.loadPage('index.html');
//						 }
//					 }]
//				 });
//			 }
//			 
//			  contactsAuthorization = '0';
//		  });
//	  }
	  
	  // 请求客户信息回显
	  var defaultUserInfo = {};
	  
	  // storage保存信息
	  var storageUserInfo = {};
	  if (typeof localStorage.getItem('authStep1Data') === 'string' && localStorage.getItem('authStep1Data') !== '') {
		  // 判断额度激活localStorage存储的手机号与当前登录的sessionStorage中存储的手机号是否相同
		  // 目前登陆信息中已经不保存accountName的手机号
//		  if (loginStatus.accountName === JSON.parse(localStorage.getItem('authStep1Data')).userPhoneNumber) {
			  storageUserInfo = JSON.parse(localStorage.getItem('authStep1Data'));
//		  }
	  }
	  
	  if (params.userInfo && params.userInfo.userCredit !== '') {
		  defaultUserInfo = params.userInfo || {};
	  }
	  
	  if(params.userInfo.userPhoneNumber !==''){
		  defaultUserInfo.userPhoneNumber=params.userInfo.userPhoneNumber
	  }
	  
	  // zhh - 20170406 - 20170406版本，默认回显未认证的手机号
	  if (params.userInfo && params.userInfo.userPhoneNumber !== '') {
		  defaultUserInfo.userPhoneNumber = params.userInfo.userPhoneNumber;
	  }
	  //从loginStatus获取手机号
	  if (typeof localStorage.getItem('loginStatus') === 'string' && localStorage.getItem('loginStatus') !== '') {
		  loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  storageUserInfo.userPhoneNumber = loginStatus.userPhoneNumber;
	  }
	  
	  var disabledStatus = false;
	  if (typeof defaultUserInfo.userCredit === 'string' && defaultUserInfo.userCredit !== '') {
		  disabledStatus = true;
	  }
	  
	  educationUserPhoneNumber = defaultUserInfo.userPhoneNumber || storageUserInfo.userPhoneNumber || '';

	  // 身份证号的按照需求的获取方式
	  var defaultIdCard = defaultUserInfo.userIdentityCardNumber|| '';
	  var authStep1Html = inputAreaTemplate({
		  	formId: 'authStep1Form',
			inputAreaData: [
				{title: '个人信息',
					inputList: [
						{
							id: 'userName',
							type: 'text',
							label: '姓名',
							placeholder: '请输入姓名',
							value: defaultUserInfo.userName || storageUserInfo.userName || '',
							disabledStatus: disabledStatus
						},
						{
							id: 'userIdentityCardNumber',
							type: 'text',
							label: '身份证号码',
							placeholder: '请输入身份证号码',
							value: defaultIdCard || storageUserInfo.userIdentityCardNumber || '',
							disabledStatus: disabledStatus
						},
					]
				},			
				{title: '学校信息',inputList: [
				        {
							id: 'userCompanyName',
							type: 'text',
							label: '在读/毕业院校',
							placeholder: '请输入在读院校/毕业院校',
							value: defaultUserInfo.userCompanyName || storageUserInfo.userCompanyName || '',
						},
						 {
							id: 'userProfessional',
							type: 'text',
							label: '所学专业',
							placeholder: '请输入所学专业',
							value: defaultUserInfo.userIndustry || storageUserInfo.userIndustry || '',
						},
						{
							id: 'userIndustry ',
							type: 'select',
							label: '学历类别',
							defaultValue: defaultUserInfo.userHighestEducation || storageUserInfo.userHighestEducation || '',
							selectList: [
								{
									value: '',
									view: '请选择学历类别'
								},
								{
									value: '博士及以上',
									view: '博士及以上'
								},
								{
									value: '硕士',
									view: '硕士'
								},
								{
									value: '本科',
									view: '本科'
								},
								{
									value:'大专',
									view:'大专'
								},
								{
									value: '高中',
									view: '高中'
								},
								{
									value: '初中及以下',
									view: '初中及以下'
								}
							]
						},
						{
							id: 'userWorkYears',
							type: 'time',
							label: '入学时间',
							placeholder: '请选择入学时间',
							value: defaultUserInfo.userWorkYears || storageUserInfo.userWorkYears || ''
						},
						{
							id: 'userWorkAddress',
							type: 'location',
							label: '学校地址',
							placeholder: '请选择学校地址',
							value: defaultUserInfo.userWorkAddress || storageUserInfo.userWorkAddress ||''
						},
						{
							type: 'textarea',
							id: 'userWorkFullAddress',
							placeholder: '请输入学校地址',
							value: defaultUserInfo.userWorkFullAddress || storageUserInfo.userWorkFullAddress ||''
						}
					]
				}
			]
	  });
	
	// 渲染authStep1页面
	$('#tabAuthStep1').html(authStep1Html);
	
	// 渲染按钮
	$('#authBtn').html(buttonTemplate({
		id: 'authStep1Btn',
		value: '下一步',
		disabled: false,
	}));
	//为按钮绑定事件
	$('#authStep1Btn').on('click',function(){
		TalkingData.onEventWithLabel('身份认证1', '下一页');
		userWorkAddressCode = workAdressLocation.value;
		authStep1BtnClick();
	});	 

	// 初始化时间组件
	var today = new Date();
	var workYearPickerDate = f7.picker({
		input: '#userWorkYears',
		rotateEffect: true,
		toolbarCloseText: '完成',
		value:'',//[today.getFullYear(), today.getMonth()]
		formatValue: function (p, values, displayValues) {
			var displayYear = values[0];
			var displayMonth = (parseInt(values[1]) + 1) < 10 ? '0' + (parseInt(values[1]) + 1) : (parseInt(values[1]) + 1).toString();
			return displayYear + '-' + displayMonth;
		},
		cols: [
			// year
			{
				values: (function() {
					var arr = [];
					var curYear = today.getFullYear();
					for (var i = 1950; i <= curYear; i++) { arr.push(i); }
					return arr;
				})()
			},
			{
				divider: true,
				content: '  '
			},
			{
				values: ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
				displayValues: ('01 02 03 04 05 06 07 08 09 10 11 12').split(' '),
			}
		],
	    onOpen: function (picker) {	 
	    	workYearPickerDate.setValue([today.getFullYear(), today.getMonth()]);
	    }
	});
	
	if (defaultUserInfo.userWorkYears) {
		var userWorkYearsYear = defaultUserInfo.userWorkYears.split('-')[0];
		var userWorkYearsMonth = (parseInt(defaultUserInfo.userWorkYears.split('-')[1]) - 1).toString();
		workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);//,userWorkYearsDays
	}
	if (storageUserInfo.userWorkYears) {
		var userWorkYearsYear = storageUserInfo.userWorkYears.split('-')[0];
		var userWorkYearsMonth = (parseInt(storageUserInfo.userWorkYears.split('-')[1]) - 1).toString();
		workYearPickerDate.setValue([userWorkYearsYear, userWorkYearsMonth]);//,userWorkYearsDays
	}
	
	// 单位地址组件初始化
//	  var defaultProValueList = [];
//	  var defaultProViewList = [];
//	  for (var o in PrivinceD) {
//		  defaultProValueList.push(o);
//		  defaultProViewList.push(PrivinceD[o].name);
//	  }
//	  
//	  var defaultCityValueList = [];
//	  var defaultCityViewList = [];
//	  
//	  for (var p in Areadata['110000']['city']) {
//		  defaultCityValueList.push(p);
//		  defaultCityViewList.push(Areadata['110000']['city'][p].name);
//	  }
//	  
//	  var defaultAreaValueList = [];
//	  var defaultAreaViewList = [];
//	  
//	  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
//		  defaultAreaValueList.push(q);
//		  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
//	  }
//	
//	  var workAdressLocation = f7.picker({
//		  input: '#userWorkAddress',
//		  rotateEffect: true,
//		  toolbarCloseText: '完成',
//		  formatValue: function (picker, values, displayValues) {
//			  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
//				  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
//			  }else if (values.length === 3 && displayValues.length === 0) {
//                  if(Areadata[values[0]]['city'][values[1]]['area']) {
//                      return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
//                  } else {
//                      return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
//                  }
//			  }else {
//				  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
//			  }
//		  },
//		  cols: [
//			  {
//				  textAlign: 'left',
//				  values: defaultProValueList,
//				  displayValues: defaultProViewList,
//				  onChange: function (picker, value, displayValue) {
//					  
//					  if (picker.cols[1].replaceValues) {
//						  var cityValueArr = [];
//						  var cityViewArr = [];
//						  for (var i in Areadata[value]) {
//							  if (i === 'city') {
//								  for (var j in Areadata[value][i]) {
//									  cityValueArr.push(j);
//									  cityViewArr.push(Areadata[value][i][j].name);
//								  }
//							  }
//						  }
//						  
//						  var areaValueArr = [];
//						  var areaViewArr = [];
//						  
//		            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
//		  						  areaValueArr.push(' ');
//								  areaViewArr.push(' ');
//		            		}else{
//		            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
//			            			areaValueArr.push(k);
//			            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
//			            		}
//		            		}
//						  
//						  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
//						  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
//					  }
//				  }
//			  },
//			  {
//				  values: defaultCityValueList,
//				  displayValues: defaultCityViewList,
//				  width: 160,
//				  onChange: function(picker, value, displayValue) {
//	            	  if (picker.cols[2].replaceValues) {
//	            		  var areaValueArr = [];
//	            		  var areaViewArr = [];
//	            		
//	            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
//	            		  for (var x in cityDataArr) {
//	            			  if (x === 'area') {
//	            				  if(cityDataArr[x]===null){
//            						  areaValueArr.push(' ');
//            						  areaViewArr.push(' ');
//            					  }else{
//            						  for (var y in cityDataArr[x]) {
//		            						  areaValueArr.push(y);
//			            					  areaViewArr.push(cityDataArr[x][y]);
//	            					  }
//	            				  }
//	            			  }
//	            		  }
//	            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
//	            	  }
//				  }
//			  },
//			  {
//				  textAlign: 'center',
//				  values: defaultAreaValueList,
//				  displayValues: defaultAreaViewList,
//				  width: 160
//			  }
//		  ]
//	  });
	  
//	   设置默认值
//	if (params.userInfo.userWorkAddressProvinceCode !== '' && params.userInfo.userWorkAddressCityCode !== '' && params.userInfo.userWorkAddressAreaCode !== '') {
//		workAdressLocation.setValue([params.userInfo.userWorkAddressProvinceCode, params.userInfo.userWorkAddressCityCode, params.userInfo.userWorkAddressAreaCode]);
//	}
//	 if ($.isArray(storageUserInfo.userWorkAddressCode) && storageUserInfo.userWorkAddressCode.length === 3) {
//		 workAdressLocation.setValue(storageUserInfo.userWorkAddressCode);
//	}
//	 
	// 单位地址组件初始化
	  var defaultProValueList = [];
	  var defaultProViewList = [];
	  var defaultCityValueList = [];
	  var defaultCityViewList = [];
	  var defaultAreaValueList = [];
	  var defaultAreaViewList = [];
	  var areaData = areaDatas;
	  for(var i=0; i<areaData.length; i++){
		  //设置默认省
		  defaultProValueList.push(areaData[i].provinceCode);
		  defaultProViewList.push(areaData[i].provinceName);
	  }
	  for(var j=0;  j<areaData[0].citys.length; j++){
		  //设置默认市
		  defaultCityValueList.push(areaData[0].citys[j].cityCode);
		  defaultCityViewList.push(areaData[0].citys[j].cityName);
	  }
	  for(var k=0; k<areaData[0].citys[0].districts.length; k++){
		  defaultAreaValueList.push(areaData[0].citys[0].districts[k].districtCode);
		  defaultAreaViewList.push(areaData[0].citys[0].districts[k].districtName);
	  }
	  
	  
	  var workAdressLocation = f7.picker({
		  input: '#userWorkAddress',
		  rotateEffect: true,
		  toolbarCloseText: '完成',
		  formatValue: function (picker, values, displayValues) {
			  if(values.length === 2 && displayValues.length === 0){
				  if(areaDatas[i].provinceCode == values[0]){
          		  for(var j=0; j<areaDatas[i].citys.length; j++){
          			  if(areaDatas[i].citys[j].cityCode == values[1]){
          				  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
          			  }
          		  }
          	  }
			  }else if (values.length === 3 && displayValues.length === 0) {
				  for(var i = 0; i<areaDatas.length; i++){
              	  if(areaDatas[i].provinceCode == values[0]){
              		  for(var j=0; j<areaDatas[i].citys.length; j++){
              			  if(areaDatas[i].citys[j].cityCode == values[1]){
              				  if(areaDatas[i].citys[j].districts){
              					  for(k=0; k<areaDatas[i].citys[j].districts.length;k++){
              						  if(areaDatas[i].citys[j].districts[k].districtCode == values[2]){
              							  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName+' '+areaDatas[i].citys[j].districts[k].districtName;
              						  }
              					  }
              				  }else{
              					   return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
              				  }
              			  }
              		  }
              	  }
                }
			  }else {
				  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
			  }
		  },
		  cols: [
			  {
				  textAlign: 'left',
				  values: defaultProValueList,
				  displayValues: defaultProViewList,
				  onChange: function (picker, value, displayValue) {
					  
					  if (picker.cols[1].replaceValues) {
						  var cityValueArr = [];
						  var cityViewArr = [];
						  var proData = {};
						  for(var i=0 ; i<areaData.length; i++){
							  if(areaData[i].provinceCode == value){
								  proData = areaData[i];
								  for(var j = 0; j<areaData[i].citys.length; j++){
									  cityValueArr.push(areaData[i].citys[j].cityCode);
									  cityViewArr.push(areaData[i].citys[j].cityName);
								  }
							  }
						  }
						  
						  var areaValueArr = [];
						  var areaViewArr = [];
						  	if(proData.citys[0].districts == null){
						  		areaValueArr.push(' ');
								areaViewArr.push(' ');
						  	}else{
						  		for(var k=0 ; k<proData.citys[0].districts.length; k++){
						  			areaValueArr.push(proData.citys[0].districts[k].districtCode);
						  			areaViewArr.push(proData.citys[0].districts[k].districtName)
						  		}
						  	}
						  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
						  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
					  }
				  }
			  },
			  {
				  values: defaultCityValueList,
				  displayValues: defaultCityViewList,
				  width: 160,
				  onChange: function(picker, value, displayValue) {
	            	  if (picker.cols[2].replaceValues) {
	            		  var areaValueArr = [];
	            		  var areaViewArr = [];
	            		  
	            		  var cityDataArr = [];
	            		  for(var i=0; i<areaData.length; i++){
	            			  if(areaData[i].provinceCode == picker.cols[0].value){
	            				  for(var j=0; j<areaData[i].citys.length; j++){
	            					  if(areaData[i].citys[j].cityCode == value){
	            						  cityDataArr = areaData[i].citys[j].districts;
	            						  if(cityDataArr == null){
	            							  areaValueArr.push(' ');
		            						  areaViewArr.push(' ');
	            						  }else{
	            							  for(var k=0 ; k<cityDataArr.length; k++){
	            								  areaValueArr.push(cityDataArr[k].districtCode);
				            					  areaViewArr.push(cityDataArr[k].districtName)
		            						  }
	            						  }
	            					  }
	            				  }
	            			  }
	            		  }
	            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
	            	  }
				  }
			  },
			  {
				  textAlign: 'center',
				  values: defaultAreaValueList,
				  displayValues: defaultAreaViewList,
				  width: 160
			  }
		  ],
		    onOpen: function(picker) {
				if (userWorkAddressCode!=="") {
					workAdressLocation.setValue(userWorkAddressCode);
				}
		    },
	  });
	
	// 设置城市的默认值
	if (params.userInfo.userWorkAddressProvinceCode !== '' && params.userInfo.userWorkAddressCityCode !== '' && params.userInfo.userWorkAddressAreaCode !== '') {
		workAdressLocation.setValue([params.userInfo.userWorkAddressProvinceCode, params.userInfo.userWorkAddressCityCode, params.userInfo.userWorkAddressAreaCode]);
	}
	if ($.isArray(storageUserInfo.userWorkAddressCode) && storageUserInfo.userWorkAddressCode.length === 3) {
		 workAdressLocation.setValue(storageUserInfo.userWorkAddressCode);
	}
	 
	
	bindPadEventAuthStep1(); 
	
	  // 根据身份证号更新出生日期
	  // 默认回显	  
	  if (defaultIdCard !== '') {
		  userBirthday=(parseInt(defaultIdCard.slice(6, 10))+'-'+ parseInt(defaultIdCard.slice(10, 12))+'-'+ parseInt(defaultIdCard.slice(12, 14)));
	  }

	  if (typeof storageUserInfo.userIdentityCardNumber !== 'undefined' && storageUserInfo.userIdentityCardNumber !== '') {
		  userBirthday=(parseInt(storageUserInfo.userIdentityCardNumber.slice(6, 10))+'-'+parseInt(storageUserInfo.userIdentityCardNumber.slice(10, 12)) +'-'+ parseInt(storageUserInfo.userIdentityCardNumber.slice(12, 14)));
	  }
	  
	  // 手动输入回显
	  if (!$('#userIdentityCardNumber').attr('disabled')) {
		  $('#userIdentityCardNumber').on('blur', function() {

			  if (!validator.checkPersonId($(this).val())) {
				  f7.alertMessage('请填写正确的身份证号码');
				  return false;
			  } else {
				  userBirthday=(parseInt($(this).val().slice(6, 10))+'-'+parseInt($(this).val().slice(10, 12))+'-'+parseInt($(this).val().slice(12, 14)));
			  }
		  });
	  }

  }
  
  

	function authStep1BtnClick() {
		if (validator.isNull($('#userName').val())) { f7.alert('请填写姓名'); return false; }
		if (validator.isNull($('#userIdentityCardNumber').val())) { f7.alert('请填写身份证号码'); return false; }
		if (!validator.checkPersonId($('#userIdentityCardNumber').val())) { f7.alert('您的姓名或身份证号有误，请检查并修改'); return false; }
//		if (!validator.checkTel($('#userPhoneNumber').val())) { f7.alert('请填写本人手机号'); return false; }
		if (validator.isNull($('#userCompanyName').val())) { f7.alert('请填写所在院校'); return false; }
		if (validator.isNull($('#userProfessional').val())) { f7.alert('请填写所学专业'); return false; }
		if ($('#userIndustry').val() === 'selected' || validator.isNull($('#userIndustry').val())) { f7.alert('请选择学历'); return false; }
//		if (!validator.checkTel($('#teacherNumber').val())) { f7.alert('请填写正确班主任手机号'); return false; }
		if (validator.isNull($('#userWorkAddress').val())) { f7.alert('请选择学校地址'); return false; }
		if (validator.isNull($('#userWorkFullAddress').val())) { f7.alert('请填写详细地址'); return false; }
		if (validator.isNull($('#userWorkYears').val())) { f7.alert('请填写入学时间'); return false; }
		var userWorkFullAddressCheck=$('#userWorkFullAddress').val()
		if(userWorkFullAddressCheck.length<5) { f7.alert('请填写完整的详细地址'); return false; }
//		if (!validator.checkBankNo($('#userBankCardNumber').val())) { f7.alert('请确认您本人的银行卡号填写正确'); return false; }
//		if ($('#userMaritalStatus').val() === 'selected' || validator.isNull($('#userMaritalStatus').val())) { f7.alert('请选择婚姻状况'); return false; }
//		if ($('#userHighestEducation').val() === 'selected' || validator.isNull($('#userHighestEducation').val())) { f7.alert('请选择最高学历'); return false; }
//		if ($('#userDwellingCondition').val() === 'selected' || validator.isNull($('#userDwellingCondition').val())) { f7.alert('请选择居住状况'); return false; }
//		if (validator.isNull($('#userLocation').val())) { f7.alert('请选择城市'); return false; }
		
		var authStep1Data = f7.formToJSON('#authStep1Form');
		authStep1Data.userPhoneNumber = educationUserPhoneNumber ;
		authStep1Data.userBirthday=userBirthday;				  			//学生生日	
		authStep1Data.userCompanyName=$("#userCompanyName").val();			//学校名称
		authStep1Data.userWorkFullAddress=$('#userWorkFullAddress').val();  //学校详细地址
		authStep1Data.userIndustry=$('#userProfessional').val();			//专业		
		authStep1Data.userHighestEducation=$('#userIndustry').val();		//学历
		authStep1Data.userWorkAddressCode =userWorkAddressCode;
		// 增加通讯录权限和通讯录数量
		authStep1Data.contactsAuthorization = contactsAuthorization;
		authStep1Data.contactsLength = contactsLength;
		//通讯录内容提交
		authStep1Data.addressList = addressList;

		// 在utilities.js的logout方法中重置
		localStorage.setItem('authStep1Data', JSON.stringify(authStep1Data));
		
		
		f7.showTab('#tabAuthStep2');
		loadEducationComponent('authStep2', 'authentication');
		// pad埋点需求
		sendPadDataAuthStep1();
		TalkingData.onEventWithLabel('身份认证1', '成功修改“本人手机号”');
		TalkingData.onPageEnd("身份认证1_填写时间");
	};
  
  return {
	 render: render,
	 authStep1BtnClick: authStep1BtnClick,
  }
})