define([
	'js/utilities',
	'js/validator',
	'js/config',
	'hbs!familyDecoration/familyDecorationContainers/familyDecorationDispathchAdress/familyDecorationDispathchAdressTemplate',
	'hbs!familyDecoration/familyDecorationComponents/common/button/button',//底部按钮渲染模板
	'jquery',
], function(
	utilities,
	validator,
	config,
	familyDecorationDispathchAdressTemplate,
	buttonTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var SKIP = config.SKIP;
	function render(params) {
		 TalkingData.onPage("选择商品");		
		 $("#chooseGoodsNavbar .placeOrderBackBtn").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var creditAuditId=JSON.parse(localStorage.getItem('creditAuditId'));
		var chooseAdressType="居住地址";
		var otherChooseAdressType = '';
		
		var response=params.data;
		var adressHome=[{
			name:response.userName,
			phone:response.userPhoneNumber,
			adress:response.userDwellingAddress+response.userDwellingDetailAddress
		}];
		
		var adressCompany=[{
			name:response.userName,
			phone:response.userPhoneNumber,
			adress:response.userWorkAddressProvinceName + response.userWorkAddressCityName + response.userWorkAddressAreaName  + response.userWorkFullAddress 
		}];
		
		// 渲染navbar
		loadFamilyDecorationComponent('navbar', 'common', {
			container: '#familyDecorationDispathchAdressNavbar',
			title: '配送地址',
			backClass: 'placeOrderBackBtn',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染主内容
		$$('#dispathchAdressContent').html(familyDecorationDispathchAdressTemplate({
			adressHome:adressHome,
			adressCompany:adressCompany
		}));
		 
		 
		var canChoose=true;
		$$("#chooseAdress .choose1").on("click",function(){
			if(!canChoose){
				$$(".choose1").addClass("choose");
				$$(".choose2").removeClass("choose");
				$$(".adressDefault").show();
				$$("#adressChooseStatus").show();
				$$("#adressCompany").hide();
				canChoose=true
			}
			var adress=$$("#chooseStatus").val();
			
			switch (adress){
			case '0':$$("#adressHome").show();
					 $$("#adressCompany").hide();
					 $$(".freeAdress").hide();
					 chooseAdressType='居住地址';
					 
					 break;
			case '1':$$("#adressHome").hide();
					 $$("#adressCompany").show();
					 $$(".freeAdress").hide();
					 chooseAdressType='工作地址';
					 break;
			case '2':$$("#adressHome").hide();
					 $$("#adressCompany").hide();
					 $$(".freeAdress").show();
					 chooseAdressType='其他地址';
					 break; 
			}		
		})
		
		
		$$("#chooseAdress .choose2").on("click",function(){
			if(canChoose){
				$$(".choose1").removeClass("choose");
				$$(".choose2").addClass("choose");
				$$(".adressDefault").hide();
				$$("#adressChooseStatus").hide();
				$$(".freeAdress").hide();
				canChoose=false
			}
		})
		
		// 单位地址组件初始化
//		  var defaultProValueList = [];
//		  var defaultProViewList = [];
//		  for (var o in PrivinceD) {
//			  defaultProValueList.push(o);
//			  defaultProViewList.push(PrivinceD[o].name);
//		  }
//		  
//		  var defaultCityValueList = [];
//		  var defaultCityViewList = [];
//		  
//		  for (var p in Areadata['110000']['city']) {
//			  defaultCityValueList.push(p);
//			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
//		  }
//		  
//		  var defaultAreaValueList = [];
//		  var defaultAreaViewList = [];
//		  
//		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
//			  defaultAreaValueList.push(q);
//			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
//		  }
//
//		 var workAdressLocation = f7.picker({
//			  input: '#decorationAddress',
//			  rotateEffect: true,
//			  toolbarCloseText: '完成',
//			  formatValue: function (picker, values, displayValues) {
//				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
//					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
//				  }else if (values.length === 3 && displayValues.length === 0) {
//                      if(Areadata[values[0]]['city'][values[1]]['area']) {
//                          return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
//                      } else {
//                          return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
//                      }
//				  }else {
//					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
//				  }
//			  },
//			  cols: [
//				  {
//					  textAlign: 'left',
//					  values: defaultProValueList,
//					  displayValues: defaultProViewList,
//					  onChange: function (picker, value, displayValue) {
//						  
//						  if (picker.cols[1].replaceValues) {
//							  var cityValueArr = [];
//							  var cityViewArr = [];
//							  for (var i in Areadata[value]) {
//								  if (i === 'city') {
//									  for (var j in Areadata[value][i]) {
//										  cityValueArr.push(j);
//										  cityViewArr.push(Areadata[value][i][j].name);
//									  }
//								  }
//							  }
//							  
//							  var areaValueArr = [];
//							  var areaViewArr = [];
//							  
//			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
//			  						  areaValueArr.push(' ');
//									  areaViewArr.push(' ');
//			            		}else{
//			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
//				            			areaValueArr.push(k);
//				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
//				            		}
//			            		}
//							  
//							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
//							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
//						  }
//					  }
//				  },
//				  {
//					  values: defaultCityValueList,
//					  displayValues: defaultCityViewList,
//					  width: 160,
//					  onChange: function(picker, value, displayValue) {
//		            	  if (picker.cols[2].replaceValues) {
//		            		  var areaValueArr = [];
//		            		  var areaViewArr = [];
//		            		
//		            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
//		            		  for (var x in cityDataArr) {
//		            			  if (x === 'area') {
//		            				  if(cityDataArr[x]===null){
//	            						  areaValueArr.push(' ');
//	            						  areaViewArr.push(' ');
//	            					  }else{
//	            						  for (var y in cityDataArr[x]) {
//			            						  areaValueArr.push(y);
//				            					  areaViewArr.push(cityDataArr[x][y]);
//		            					  }
//		            				  }
//		            			  }
//		            		  }
//		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
//		            	  }
//					  }
//				  },
//				  {
//					  textAlign: 'center',
//					  values: defaultAreaValueList,
//					  displayValues: defaultAreaViewList,
//					  width: 160
//				  }
//			  ]
//		  });
		// 单位地址组件初始化
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  var areaData = areaDatas;
		  for(var i=0; i<areaData.length; i++){
			  //设置默认省
			  defaultProValueList.push(areaData[i].provinceCode);
			  defaultProViewList.push(areaData[i].provinceName);
		  }
		  for(var j=0;  j<areaData[0].citys.length; j++){
			  //设置默认市
			  defaultCityValueList.push(areaData[0].citys[j].cityCode);
			  defaultCityViewList.push(areaData[0].citys[j].cityName);
		  }
		  for(var k=0; k<areaData[0].citys[0].districts.length; k++){
			  defaultAreaValueList.push(areaData[0].citys[0].districts[k].districtCode);
			  defaultAreaViewList.push(areaData[0].citys[0].districts[k].districtName);
		  }
		  
		  
		  var workAdressLocation = f7.picker({
			  input: '#decorationAddress',
			  rotateEffect: true,
			  toolbarCloseText: '完成',
			  formatValue: function (picker, values, displayValues) {
				  if(values.length === 2 && displayValues.length === 0){
					  if(areaDatas[i].provinceCode == values[0]){
              		  for(var j=0; j<areaDatas[i].citys.length; j++){
              			  if(areaDatas[i].citys[j].cityCode == values[1]){
              				  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
              			  }
              		  }
              	  }
				  }else if (values.length === 3 && displayValues.length === 0) {
					  for(var i = 0; i<areaDatas.length; i++){
                  	  if(areaDatas[i].provinceCode == values[0]){
                  		  for(var j=0; j<areaDatas[i].citys.length; j++){
                  			  if(areaDatas[i].citys[j].cityCode == values[1]){
                  				  if(areaDatas[i].citys[j].districts){
                  					  for(k=0; k<areaDatas[i].citys[j].districts.length;k++){
                  						  if(areaDatas[i].citys[j].districts[k].districtCode == values[2]){
                  							  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName+' '+areaDatas[i].citys[j].districts[k].districtName;
                  						  }
                  					  }
                  				  }else{
                  					   return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
                  				  }
                  			  }
                  		  }
                  	  }
                    }
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
			  },
			  cols: [
				  {
					  textAlign: 'left',
					  values: defaultProValueList,
					  displayValues: defaultProViewList,
					  onChange: function (picker, value, displayValue) {
						  
						  if (picker.cols[1].replaceValues) {
							  var cityValueArr = [];
							  var cityViewArr = [];
							  var proData = {};
							  for(var i=0 ; i<areaData.length; i++){
								  if(areaData[i].provinceCode == value){
									  proData = areaData[i];
									  for(var j = 0; j<areaData[i].citys.length; j++){
										  cityValueArr.push(areaData[i].citys[j].cityCode);
										  cityViewArr.push(areaData[i].citys[j].cityName);
									  }
								  }
							  }
							  
							  var areaValueArr = [];
							  var areaViewArr = [];
							  	if(proData.citys[0].districts == null){
							  		areaValueArr.push(' ');
									areaViewArr.push(' ');
							  	}else{
							  		for(var k=0 ; k<proData.citys[0].districts.length; k++){
							  			areaValueArr.push(proData.citys[0].districts[k].districtCode);
							  			areaViewArr.push(proData.citys[0].districts[k].districtName)
							  		}
							  	}
							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
						  }
					  }
				  },
				  {
					  values: defaultCityValueList,
					  displayValues: defaultCityViewList,
					  width: 160,
					  onChange: function(picker, value, displayValue) {
		            	  if (picker.cols[2].replaceValues) {
		            		  var areaValueArr = [];
		            		  var areaViewArr = [];
		            		  
		            		  var cityDataArr = [];
		            		  for(var i=0; i<areaData.length; i++){
		            			  if(areaData[i].provinceCode == picker.cols[0].value){
		            				  for(var j=0; j<areaData[i].citys.length; j++){
		            					  if(areaData[i].citys[j].cityCode == value){
		            						  cityDataArr = areaData[i].citys[j].districts;
		            						  if(cityDataArr == null){
		            							  areaValueArr.push(' ');
			            						  areaViewArr.push(' ');
		            						  }else{
		            							  for(var k=0 ; k<cityDataArr.length; k++){
		            								  areaValueArr.push(cityDataArr[k].districtCode);
					            					  areaViewArr.push(cityDataArr[k].districtName)
			            						  }
		            						  }
		            					  }
		            				  }
		            			  }
		            		  }
		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	  }
					  }
				  },
				  {
					  textAlign: 'center',
					  values: defaultAreaValueList,
					  displayValues: defaultAreaViewList,
					  width: 160
				  }
			  ],
		  });
		setTimeout(function(){
			$$("#chooseStatus").on("change",function(){
				var adress=$$(this).val();
			
				switch (adress){
				case '0':$$("#adressHome").show();
						 $$("#adressCompany").hide();
						 $$(".freeAdress").hide();
						 chooseAdressType='居住地址';
						 
						 break;
				case '1':$$("#adressHome").hide();
						 $$("#adressCompany").show();
						 $$(".freeAdress").hide();
						 chooseAdressType='工作地址';
						 break;
				case '2':$$("#adressHome").hide();
						 $$("#adressCompany").hide();
						 $$(".freeAdress").show();
						 chooseAdressType='其他地址';
						 break; 
				}		
			})
		},500)
		 	 
		// 渲染底部按钮
		$$('#placeOrderGoodsBtnBox').html(buttonTemplate({
			id : 'placeOrderGoodsBtn',
			value : '确认',
			disabled : false,
		}))
		
		$$("#placeOrderGoodsBtn").on('click',function(){
			if( chooseAdressType=='其他地址' && $$("#decorationAddress").val()=='' ){
				f7.alert("你选择收货城市！");
				return;
			}
			
			if( chooseAdressType=='其他地址' && ( $$("#detailPlace").val()=='' || $$("#detailPlace").val().length<5 ) ){
				f7.alert("你输入详细地址！");
				return;
			}
			
			if(canChoose){
				var deliveryPattern='快递';
				switch (chooseAdressType){
				case '居住地址':var deliveryAddress=adressHome[0].adress;	otherChooseAdressType = '';
								break;
				case '工作地址':var deliveryAddress=adressCompany[0].adress; otherChooseAdressType = '';
						 break;
				case '其他地址':
					if($$("#decorationAddress").val()==""){
						var deliveryAddress="北京 北京市 东城区"+$$("#detailPlace").val();
					}else{
						var deliveryAddress=$$("#decorationAddress").val()+$$("#detailPlace").val();
					}
					otherChooseAdressType=$("#otherAddressType").val();
						 break; 
				}		
			}else{
				var deliveryPattern='自提';
				var deliveryAddress='';
				chooseAdressType='';
			};
			
			// 是否跳过cordova的device.uuid
			var deviceId = '';
			if (!SKIP.cordova_uuid) {
				deviceId = device.uuid;
			}
			
			f7.modal({
	  			title: '',
	  			text:  '<div class="model-title">请确保信息准确填写，一经提交，不可修改</div>',
	  			buttons: [
	  				{
	  					text: '<span class="model-back">修改</span>',
	  					onClick: function(){
	  						f7.closeModal();  						
	  					}
	  				},
	  				{
	  					text: '确认',
	  					onClick: function(){
	  						if(params.fromPage == 'me' || params.fromPage == 'index'){
	  							callAppApi({
	  								url: '/module/material/create/v2',
	  								type: 'POST',
	  								params: {
	  									userId: loginStatus.userId,
	  									baseBusinessType: '004001',
	  									orderDetailInfo: {
	  										deliveryPattern : deliveryPattern,// 配送方式
	  										deliveryType : chooseAdressType,// 配送类型
	  										deliveryAddress : deliveryAddress,// 配送地址
	  										otherDeliveryType:otherChooseAdressType//类型
	  									}
	  								},
	  								successCallback: function(response) {
	  									callAppApi({
	  		  								url: '/app/credit/v2/submit/audit',
	  		  								type: 'POST',
	  		  								params: {
	  		  									userId: loginStatus.userId,
	  		  									baseBusinessType: '004001',
	  		  									orderId:response.orderId || '',
	  		  									auditInfoId:response.creditAuditInfo.auditInfoId,
	  		  									backSubmitStatus:'0',
	  		  									auditType:'BUSINESS' 
	  		  								},
	  		  								successCallback: function(response) {
	  		  									mainView.loadPage('me.html');
	  		  								},
	  		  								errorCallback: function(err) {}
	  		  							})
	  								},
	  								errorCallback: function(err) {}
	  							})
	  						}else if(params.fromPage == 'advanceCreditUploadEvidence'){
	  							callAppApi({
	  								url: '/app/credit/audit/submitMaterial',
	  								type: 'POST',
	  								params: {
	  									userId: loginStatus.userId,
	  									baseBusinessType: '004001',
	  									orderDetailInfo: {
	  										deliveryPattern : deliveryPattern,// 配送方式
	  										deliveryType : chooseAdressType,// 配送类型
	  										deliveryAddress : deliveryAddress,// 配送地址
	  										otherDeliveryType:otherChooseAdressType //类型
	  									},
	  								},
	  								successCallback: function(data) {
	  									callAppApi({
	  		  								url: '/app/credit/v2/submit/audit',
	  		  								type: 'POST',
	  		  								params: {
	  		  									userId: loginStatus.userId,
	  		  									baseBusinessType: '004001',
	  		  									orderId:data.creditAuditInfo.orderId || '',
	  		  									auditInfoId:data.creditAuditInfo.auditInfoId,
	  		  									backSubmitStatus:'0',
	  		  									auditType:'CREDIT' 
	  		  								},
	  		  								successCallback: function(response) {
		  		  								var isBindBankCard=data.isBindBankCard;
			  									var orderId=data.creditAuditInfo.orderId;
			  									if(isBindBankCard=='1'){
			  										 loadAdvanceCreditPage('creditManage', {
			  				                             query: {
			  				                            	 	fromPage:'dispathchAdress',
			  				                            	 	status:'10'
			  					                             }
			  						                 });
			  									}else{
			  										 mainView.router.load({
			  				                             url: 'bindBankcard.html',
			  				                             query: {
			  				                                      fromPage:'dispathchAdress',
			  				                                      orderId: orderId,
			  				                                      baseBusinessType: '004001'
			  						                          }
			  						                   });
			  									}
	  		  								},
	  		  								errorCallback: function(err) {}
	  		  							})
	  								},
	  								errorCallback: function(err) {}
	  							});
	  						}
	  					}
	  				}
	  			]
	  		});
			
			
		})
		
	};
	
	return {
		render : render
	}
});
