define([
    	'js/utilities',
    	'familyDecorationOnline/familyDecorationOnlineContainers/uploadEvidence/uploadEvidenceView'
    ], function(
    	utilities,
    	uploadEvidenceView
    ) {
    	var $ = Framework7.$;
    	var callAppApi = utilities.callAppApi;

    	function init(query) {
        	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
        	callAppApi({
        		url: '/app/credit/audit/infoQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			baseBusinessType:"004003",
        		},
        		successCallback: function(response) {
        			uploadEvidenceView.render(Object.assign({}, query, {
        				infoData: response.infoData,
        				picList: response.picList,
        				orderId: response.baseOrderId,
        				decorationMaterialsList:response.decorationMaterialsList
        			}));
        		},
        		errorCallback: function(err) {}
        	});
        	
    	}
    	
    	return {
    		init: init
    	}
    });
