define([
    	'js/utilities',
    	'medicalCare/medicalCareContainers/medicalCareUploadEvidence/medicalCareUploadEvidenceView'
    ], function(
    	utilities,
    	uploadEvidenceView
    ) {
    	var $ = Framework7.$;
    	var callAppApi = utilities.callAppApi;

    	function init(query) {
    		if (mainView.activePage.name == 'medicalCareUploadEvidence') {
        		if(!query.orderId){
        			query.orderId = '';
        		}
            	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
            	callAppApi({
            		url: '/module/material/find/v2',
            		params: {
            			userId: loginStatus.userId,
            			orderId: query.orderId,
            			baseBusinessType: query.baseBusinessType ||'006001'
            		},
            		successCallback: function(res) {
            			uploadEvidenceView.render({
    		    			fromPage: query.fromPage,
    		    			orderId: query.orderId,
    		    			uploadFileResult: res.orderDetailInfo,
    		    			baseBusinessType: query.baseBusinessType,
    		    			picList:res.picList
    		    		});
            		},
            		errorCallback: function(err) {}
            	})
    		}
    	}
    	
    	return {
    		init: init
    	}
    });
