define([
	'js/utilities',
	'advanceCredit/advanceCreditContainers/advanceCreditReuploadEvidence/advanceCreditReuploadEvidenceView',
], function(
	utilities,
	advanceCreditReuploadEvidenceView
) {
	var callAppApi = utilities.callAppApi;
	
	function init(query) {
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		
		callAppApi({
			url: '/app/credit/v2/query/auditInfo',
			type: 'POST',
			params: {
				baseBusinessType: query.baseBusinessType,
				userId: loginStatus.userId,
				auditInfoId: query.auditInfoId
			},
			successCallback: function(res) {
				advanceCreditReuploadEvidenceView.render(Object.assign({}, query, res));
			},
			errorCallback: function(err) {}
		})
	}
	
	
	return {
		init: init
	}
})