define([
  'js/utilities',
  'containers/setGesture/setGestureView'
], function(
  utilities,
  setGestureView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  if (mainView.activePage.name == 'setGesture') {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  
		  // 隐藏工具栏
		  f7.hideToolbar('#toolbar');
		  
		  setGestureView.render(query);
	  }

  }
  
  return {
	init: init,
  };
});