define([
  'js/utilities',
  'containers/setGestureMenu/setGestureMenuView'
], function(
  utilities,
  setGestureMenuView
) {
 
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;

  function init(query) {
	  if (mainView.activePage.name == 'setGestureMenu') {
		  var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		  
		  // 隐藏工具栏
		  f7.hideToolbar('#toolbar');
		  
		  setGestureMenuView.render(query);
	  }
  }
  
  return {
	init: init,
  };
});