define([
  'js/utilities',
  'familyDecoration/familyDecorationContainers/familyDecorationEditAdress/familyDecorationEditAdressView'
], function(
  utilities,
  editAdressView
) {
  
  var $ = Framework7.$;
  var callAppApi = utilities.callAppApi;
  var isOwnEmpty = utilities.isOwnEmpty;
	
  function init(query) {
	  if (mainView.activePage.name === 'familyDecorationEditAdress'){
		  	if(!query.orderId){
				query.orderId = '';
			}
			var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
//			if(query.fromPage == 'me'){
				callAppApi({
	        		url: '/module/material/find/v2',
	        		params: {
	        			userId: loginStatus.userId,
	        			orderId: query.orderId,
	        			baseBusinessType: query.baseBusinessType
	        		},
	        		successCallback: function(res) {
	      					if(res.orderDetailInfo){
	      						editAdressView.render({
	      	    		    		fromPage: query.fromPage,
	      	    		    		orderId: query.orderId,
	      	    		    		data: res,
	      	    		    		baseBusinessType: query.baseBusinessType,
	      	    		    	});
	      	        		}
	        		},
	        		errorCallback: function(err) {}
	        	})
//			}
	  }
	}

  return {
	init: init
  };
});
