define([
	'js/utilities',
	'js/validator',
	'js/config',
	'hbs!familyDecoration/familyDecorationContainers/familyDecorationEditAdress/familyDecorationEditAdressTemplate',
	'hbs!familyDecoration/familyDecorationComponents/common/button/button',//底部按钮渲染模板
	'jquery',
], function(
	utilities,
	validator,
	config,
	familyDecorationEditAdressTemplate,
	buttonTemplate,
	$$
) {
/**
 * @warn 此页面所有$$为jQuery的$$
 */
//	var $ = Framework7.$;
	var callAppApi = utilities.callAppApi;
	var getDay = utilities.getDay;
	var SKIP = config.SKIP;
	function render(params) {
		 TalkingData.onPage("选择商品");		
		 $("#chooseGoodsNavbar .placeOrderBackBtnResult").on('click', function() {
			  TalkingData.onEventWithLabel('选择商品', '返回');
		 });	
		
		var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
		var chooseAdressType="居住地址";
		
		var response=params.data.orderDetailInfo;
		
		// 渲染navbar
		loadFamilyDecorationComponent('navbar', 'common', {
			container: '#familyDecorationEditAdressNavbar',
			title: '配送地址',
			backClass: 'placeOrderBackBtnResult',
			isBackIcon: true,
			isBack: false
		});
		
		// 渲染主内容
		$$('#EditAdressContent').html(familyDecorationEditAdressTemplate({
			deliveryPattern: response.deliveryPattern,
			deliveryType: response.deliveryType,
			deliveryAddress: response.deliveryAddress,
			ortherDeliveryType:response.ortherDeliveryType,
			orderStatus: params.data.orderStatus,
			orderId: params.orderId
		}));
		 
		 
		var canChoose=true;
		$$("#chooseAdress .choose1").on("click",function(){
			if(!canChoose){
				$$(".choose1").addClass("choose");
				$$(".choose2").removeClass("choose");
				$$(".adressDefault").show();
				$$("#adressChooseStatus").show();
				$$("#adressCompany").hide();
				canChoose=true
			}
			var adress=$$("#chooseStatus").val();
			
			switch (adress){
			case '0':$$("#adressHome").show();
					 $$("#adressCompany").hide();
					 $$(".freeAdress").hide();
					 chooseAdressType='居住地址';
					 
					 break;
			case '1':$$("#adressHome").hide();
					 $$("#adressCompany").show();
					 $$(".freeAdress").hide();
					 chooseAdressType='工作地址';
					 break;
			case '2':$$("#adressHome").hide();
					 $$("#adressCompany").hide();
					 $$(".freeAdress").show();
					 chooseAdressType='其他地址';
					 break; 
			}		
		})
		
		
		$$("#chooseAdress .choose2").on("click",function(){
			if(canChoose){
				$$(".choose1").removeClass("choose");
				$$(".choose2").addClass("choose");
				$$(".adressDefault").hide();
				$$("#adressChooseStatus").hide();
				$$(".freeAdress").hide();
				canChoose=false
			}
		})
		
		// 单位地址组件初始化
//		  var defaultProValueList = [];
//		  var defaultProViewList = [];
//		  for (var o in PrivinceD) {
//			  defaultProValueList.push(o);
//			  defaultProViewList.push(PrivinceD[o].name);
//		  }
//		  
//		  var defaultCityValueList = [];
//		  var defaultCityViewList = [];
//		  
//		  for (var p in Areadata['110000']['city']) {
//			  defaultCityValueList.push(p);
//			  defaultCityViewList.push(Areadata['110000']['city'][p].name);
//		  }
//		  
//		  var defaultAreaValueList = [];
//		  var defaultAreaViewList = [];
//		  
//		  for (var q in Areadata['110000']['city'][defaultCityValueList[0]]['area']) {
//			  defaultAreaValueList.push(q);
//			  defaultAreaViewList.push(Areadata['110000']['city'][defaultCityValueList[0]]['area'][q]);
//		  }

//		 var workAdressLocation = f7.picker({
//			  input: '#decorationAddress',
//			  rotateEffect: true,
//			  toolbarCloseText: '完成',
//			  formatValue: function (picker, values, displayValues) {
//				  if(values.length === 3 && displayValues.length === 0 && values[2]===' '){
//					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
//				  }else if (values.length === 3 && displayValues.length === 0) {
////					  return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
//                      if(Areadata[values[0]]['city'][values[1]]['area']) {
//                          return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['area'][values[2]];
//                      } else {
//                          return Areadata[values[0]]['name'] + ' ' + Areadata[values[0]]['city'][values[1]]['name'] + '  ';
//                      }
//				  }else {
//					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
//				  }
//			  },
//			  cols: [
//				  {
//					  textAlign: 'left',
//					  values: defaultProValueList,
//					  displayValues: defaultProViewList,
//					  onChange: function (picker, value, displayValue) {
//						  
//						  if (picker.cols[1].replaceValues) {
//							  var cityValueArr = [];
//							  var cityViewArr = [];
//							  for (var i in Areadata[value]) {
//								  if (i === 'city') {
//									  for (var j in Areadata[value][i]) {
//										  cityValueArr.push(j);
//										  cityViewArr.push(Areadata[value][i][j].name);
//									  }
//								  }
//							  }
//							  
//							  var areaValueArr = [];
//							  var areaViewArr = [];
//							  
//			            		if(Areadata[value]['city'][cityValueArr[0]]['area']===null){
//			  						  areaValueArr.push(' ');
//									  areaViewArr.push(' ');
//			            		}else{
//			            			for (var k in Areadata[value]['city'][cityValueArr[0]]['area']) {	
//				            			areaValueArr.push(k);
//				            			areaViewArr.push(Areadata[value]['city'][cityValueArr[0]]['area'][k])
//				            		}
//			            		}
//							  
//							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
//							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
//						  }
//					  }
//				  },
//				  {
//					  values: defaultCityValueList,
//					  displayValues: defaultCityViewList,
//					  width: 160,
//					  onChange: function(picker, value, displayValue) {
//		            	  if (picker.cols[2].replaceValues) {
//		            		  var areaValueArr = [];
//		            		  var areaViewArr = [];
//		            		
//		            		  var cityDataArr = Areadata[picker.cols[0].value]['city'][value];
//		            		  for (var x in cityDataArr) {
//		            			  if (x === 'area') {
//		            				  if(cityDataArr[x]===null){
//	            						  areaValueArr.push(' ');
//	            						  areaViewArr.push(' ');
//	            					  }else{
//	            						  for (var y in cityDataArr[x]) {
//			            						  areaValueArr.push(y);
//				            					  areaViewArr.push(cityDataArr[x][y]);
//		            					  }
//		            				  }
//		            			  }
//		            		  }
//		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
//		            	  }
//					  }
//				  },
//				  {
//					  textAlign: 'center',
//					  values: defaultAreaValueList,
//					  displayValues: defaultAreaViewList,
//					  width: 160
//				  }
//			  ]
//		  });
		// 单位地址组件初始化
		  var defaultProValueList = [];
		  var defaultProViewList = [];
		  var defaultCityValueList = [];
		  var defaultCityViewList = [];
		  var defaultAreaValueList = [];
		  var defaultAreaViewList = [];
		  var areaData = areaDatas;
		  for(var i=0; i<areaData.length; i++){
			  //设置默认省
			  defaultProValueList.push(areaData[i].provinceCode);
			  defaultProViewList.push(areaData[i].provinceName);
		  }
		  for(var j=0;  j<areaData[0].citys.length; j++){
			  //设置默认市
			  defaultCityValueList.push(areaData[0].citys[j].cityCode);
			  defaultCityViewList.push(areaData[0].citys[j].cityName);
		  }
		  for(var k=0; k<areaData[0].citys[0].districts.length; k++){
			  defaultAreaValueList.push(areaData[0].citys[0].districts[k].districtCode);
			  defaultAreaViewList.push(areaData[0].citys[0].districts[k].districtName);
		  }
		  
		  
		  var workAdressLocation = f7.picker({
			  input: '#decorationAddress',
			  rotateEffect: true,
			  toolbarCloseText: '完成',
			  formatValue: function (picker, values, displayValues) {
				  if(values.length === 2 && displayValues.length === 0){
					  if(areaDatas[i].provinceCode == values[0]){
              		  for(var j=0; j<areaDatas[i].citys.length; j++){
              			  if(areaDatas[i].citys[j].cityCode == values[1]){
              				  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
              			  }
              		  }
              	  }
				  }else if (values.length === 3 && displayValues.length === 0) {
					  for(var i = 0; i<areaDatas.length; i++){
                  	  if(areaDatas[i].provinceCode == values[0]){
                  		  for(var j=0; j<areaDatas[i].citys.length; j++){
                  			  if(areaDatas[i].citys[j].cityCode == values[1]){
                  				  if(areaDatas[i].citys[j].districts){
                  					  for(k=0; k<areaDatas[i].citys[j].districts.length;k++){
                  						  if(areaDatas[i].citys[j].districts[k].districtCode == values[2]){
                  							  return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName+' '+areaDatas[i].citys[j].districts[k].districtName;
                  						  }
                  					  }
                  				  }else{
                  					   return areaDatas[i].provinceName+' '+areaDatas[i].citys[j].cityName + ' ';
                  				  }
                  			  }
                  		  }
                  	  }
                    }
				  }else {
					  return displayValues[0] + ' ' + displayValues[1] + ' ' + displayValues[2];
				  }
			  },
			  cols: [
				  {
					  textAlign: 'left',
					  values: defaultProValueList,
					  displayValues: defaultProViewList,
					  onChange: function (picker, value, displayValue) {
						  
						  if (picker.cols[1].replaceValues) {
							  var cityValueArr = [];
							  var cityViewArr = [];
							  var proData = {};
							  for(var i=0 ; i<areaData.length; i++){
								  if(areaData[i].provinceCode == value){
									  proData = areaData[i];
									  for(var j = 0; j<areaData[i].citys.length; j++){
										  cityValueArr.push(areaData[i].citys[j].cityCode);
										  cityViewArr.push(areaData[i].citys[j].cityName);
									  }
								  }
							  }
							  
							  var areaValueArr = [];
							  var areaViewArr = [];
							  	if(proData.citys[0].districts == null){
							  		areaValueArr.push(' ');
									areaViewArr.push(' ');
							  	}else{
							  		for(var k=0 ; k<proData.citys[0].districts.length; k++){
							  			areaValueArr.push(proData.citys[0].districts[k].districtCode);
							  			areaViewArr.push(proData.citys[0].districts[k].districtName)
							  		}
							  	}
							  picker.cols[1].replaceValues(cityValueArr, cityViewArr);
							  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
						  }
					  }
				  },
				  {
					  values: defaultCityValueList,
					  displayValues: defaultCityViewList,
					  width: 160,
					  onChange: function(picker, value, displayValue) {
		            	  if (picker.cols[2].replaceValues) {
		            		  var areaValueArr = [];
		            		  var areaViewArr = [];
		            		  
		            		  var cityDataArr = [];
		            		  for(var i=0; i<areaData.length; i++){
		            			  if(areaData[i].provinceCode == picker.cols[0].value){
		            				  for(var j=0; j<areaData[i].citys.length; j++){
		            					  if(areaData[i].citys[j].cityCode == value){
		            						  cityDataArr = areaData[i].citys[j].districts;
		            						  if(cityDataArr == null){
		            							  areaValueArr.push(' ');
			            						  areaViewArr.push(' ');
		            						  }else{
		            							  for(var k=0 ; k<cityDataArr.length; k++){
		            								  areaValueArr.push(cityDataArr[k].districtCode);
					            					  areaViewArr.push(cityDataArr[k].districtName)
			            						  }
		            						  }
		            					  }
		            				  }
		            			  }
		            		  }
		            		  picker.cols[2].replaceValues(areaValueArr, areaViewArr);
		            	  }
					  }
				  },
				  {
					  textAlign: 'center',
					  values: defaultAreaValueList,
					  displayValues: defaultAreaViewList,
					  width: 160
				  }
			  ],
		  });
		  
		setTimeout(function(){
			$$("#chooseStatus").on("change",function(){
				var adress=$$(this).val();
			
				switch (adress){
				case '0':$$("#adressHome").show();
						 $$("#adressCompany").hide();
						 $$(".freeAdress").hide();
						 chooseAdressType='居住地址';
						 
						 break;
				case '1':$$("#adressHome").hide();
						 $$("#adressCompany").show();
						 $$(".freeAdress").hide();
						 chooseAdressType='工作地址';
						 break;
				case '2':$$("#adressHome").hide();
						 $$("#adressCompany").hide();
						 $$(".freeAdress").show();
						 chooseAdressType='其他地址';
						 break; 
				}		
			})
		},500)
		 	 
	};
	
	return {
		render : render
	}
});
