define([
    	'js/utilities',
    	'familyDecorationOnline/familyDecorationOnlineContainers/materialUpload/materialUploadView'
    ], function(
    	utilities,
    	materialUploadView
    ) {
    	var $ = Framework7.$;
    	var callAppApi = utilities.callAppApi;

    	function init(query) {
        	var loginStatus = JSON.parse(localStorage.getItem('loginStatus'));
        	
    		if (mainView.activePage.name === 'familyDecorationOnlineMaterialUpload') {
    			// 隐藏工具栏
    			f7.hideToolbar('#toolbar');
    		}
    		
    		
//    		var chooseStatus = false;
//    		if(query.code == 'A5' || query.code == 'A6'){
//    			chooseStatus = true;
//    		}
    		
        	callAppApi({
        		url: '/app/credit/audit/infoQuery',
        		type: 'POST',
        		params: {
        			userId: loginStatus.userId,
        			baseBusinessType:"004003",
        			orderId: query.orderId,
        			auditInfoId: query.auditInfoId || ''
        		},
        		successCallback: function(response) {
        			
        			materialUploadView.render(Object.assign({}, query, {
        				infoData: response.infoData,
        				picList: response.picList,
        				decorationMaterialsList: response.decorationMaterialsList,
        				decorationContract: response.decorationContract,
//        				chooseStatus: chooseStatus,
        			}));
        		},
        		errorCallback: function(err) {}
        	});
        	
    	}
    	
    	return {
    		init: init
    	}
    });
